Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::_ASpec Struct Reference

`#include <Assembly_Spec.h>`

Collaboration diagram for CIAO::_ASpec:

[legend]
List of all members.

## Public Types
typedef ACE_Unbounded_Queue< Assembly_Connection::Connect_Info > | CONNECTION_QUEUE
| Connection data.
## Public Methods
| _ASpec ()
## Public Attributes
ID_IMPL_MAP | componentfiles_
| ID to implementation map.
Assembly_Placement::Container | partitioning_
| Partitioning data.
CONNECTION_QUEUE | connections_

## Member Typedef Documentation

typedef ACE_Unbounded_Queue<Assembly_Connection::Connect_Info> CIAO::_ASpec::CONNECTION_QUEUE

| Connection data.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::_ASpec::_ASpec | ( |  | ) |

## Member Data Documentation

ID_IMPL_MAP CIAO::_ASpec::componentfiles_

| ID to implementation map.

CONNECTION_QUEUE CIAO::_ASpec::connections_

Assembly_Placement::Container CIAO::_ASpec::partitioning_

| Partitioning data.

The documentation for this struct was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.inl